stan-0.2.0.0: Haskell STatic ANalyser

Copyright | (c) 2020 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Safe Haskell | None
Language | Haskell2010

Stan.Report.Settings

Contents

- Verbosity
- Toggle

Description

Report settings types.

Synopsis

- data OutputSettings = OutputSettings {
  - outputSettingsVerbosity :: !Verbosity
  - outputSettingsSolutionVerbosity :: !ToggleSolution
  }
- data Verbosity
  - = Verbose
  - | NonVerbose
- isVerbose :: Verbosity -> Bool
- data ToggleSolution
  - = HideSolution
  - | ShowSolution
- isHidden :: ToggleSolution -> Bool

# Documentation

data OutputSettings #

Settings for produced report.

Constructors

OutputSettings |
Fields outputSettingsVerbosity :: !Verbosity outputSettingsSolutionVerbosity :: !ToggleSolution

# Verbosity

data Verbosity #

Constructors

Verbose |
NonVerbose |

#### Instances

Instances details

Show Verbosity # |
Instance details Defined in Stan.Report.Settings Methods showsPrec :: Int -> Verbosity -> ShowS # show :: Verbosity -> String # showList :: [Verbosity] -> ShowS #

isVerbose :: Verbosity -> Bool #

# Toggle

data ToggleSolution #

Boolean for showing/hiding solution information of observations.

Constructors

HideSolution |
ShowSolution |

#### Instances

Instances details

Show ToggleSolution # |
Instance details Defined in Stan.Report.Settings Methods showsPrec :: Int -> ToggleSolution -> ShowS # show :: ToggleSolution -> String # showList :: [ToggleSolution] -> ShowS #

isHidden :: ToggleSolution -> Bool #

Is the toggle option set to `HideSolution`?